Subject: Re: linux-next: build failure after merge of the usb tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 19 Jul 2022 16:08:53 +1000

Hi Greg,

On Mon, 18 Jul 2022 22:43:29 +0200 Greg KH <[email-masked]> wrote:
>
> > Caused by commit
> > 
> >   e54369058f3d ("platform/chrome: cros_typec_switch: Add switch driver")
> > 
> > and commits
> > 
> >   34f375f0fdf6 ("platform/chrome: cros_typec_switch: Set EC retimer")
> >   bb53ad958012 ("platform/chrome: cros_typec_switch: Add event check")
> > 
> > interacting with commit
> > 
> >   b1d288d9c3c5 ("platform/chrome: cros_ec_proto: Rename cros_ec_command function")
> > 
> > from the chrome-platform tree.
> > 
> > I have used the usb tree from next-20220715 for today.
> > 
> > I will fix up the cros_ec_command() rename with a merge fix patch after
> > the apci usage problem is solved.  
> 
> The ACPI issue should now be solved in my tree.

OK, so I have applied the following merge fix patch from today.  So
Linus will need to know about this when the usb and chrome-platform
trees are merged.

From: Stephen Rothwell <[email-masked]>
Date: Tue, 19 Jul 2022 15:57:13 +1000
Subject: [PATCH] fix up for "platform/chrome: cros_ec_proto: Rename cros_ec_command function"

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/platform/chrome/cros_typec_switch.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/drivers/platform/chrome/cros_typec_switch.c b/drivers/platform/chrome/cros_typec_switch.c
index 024a2bb146b2..38ac20d52c88 100644
--- a/drivers/platform/chrome/cros_typec_switch.c
+++ b/drivers/platform/chrome/cros_typec_switch.c
@@ -49,7 +49,7 @@ static int cros_typec_cmd_mux_set(struct cros_typec_switch_data *sdata, int port
 		.mux_params = params,
 	};
 
-	return cros_ec_command(sdata->ec, 0, EC_CMD_TYPEC_CONTROL, &req,
+	return cros_ec_cmd(sdata->ec, 0, EC_CMD_TYPEC_CONTROL, &req,
 			       sizeof(req), NULL, 0);
 }
 
@@ -76,7 +76,7 @@ static int cros_typec_send_clear_event(struct cros_typec_switch_data *sdata, int
 		.clear_events_mask = events_mask,
 	};
 
-	return cros_ec_command(sdata->ec, 0, EC_CMD_TYPEC_CONTROL, &req,
+	return cros_ec_cmd(sdata->ec, 0, EC_CMD_TYPEC_CONTROL, &req,
 			       sizeof(req), NULL, 0);
 }
 
@@ -88,7 +88,7 @@ static bool cros_typec_check_event(struct cros_typec_switch_data *sdata, int por
 	};
 	int ret;
 
-	ret = cros_ec_command(sdata->ec, 0, EC_CMD_TYPEC_STATUS, &req, sizeof(req),
+	ret = cros_ec_cmd(sdata->ec, 0, EC_CMD_TYPEC_STATUS, &req, sizeof(req),
 			      &resp, sizeof(resp));
 	if (ret < 0) {
 		dev_warn(sdata->dev, "EC_CMD_TYPEC_STATUS failed for port: %d\n", port_num);
-- 
2.35.1

-- 
Cheers,
Stephen Rothwell